import * as React from "react";
import { useEffect } from "react";
import { ConfigProvider } from "antd";
import styles from "../index.less";

export default ({ children, style = {} }: any) => {
  useEffect(() => {
    ConfigProvider.config({
      theme: {
        primaryColor: "#2DB7F5"
      }
    });
  }, []);

  return (
    <div
      className={styles.root}
      style={{
        width: "100%",
        height: "100%",
        overflow: "hidden",
        ...style
      }}
    >
      {children}
    </div>
  );
};

